/**
 * Created by rathmann on 07/12/15.
 */
define([],function () {
    'use strict';
    return {

        CONFIG_TEST: 0,
        CONFIG_LIVE: 1,
        CONFIG_ZEUS: 2,
        CONFIG_GVH: 3,
        CONFIG_LIVE_AUGSBURG: 4,
        CONFIG_LIVE_MUENCHEN: 5,
        CONFIG_LIVE_CDE: 6,
        CONFIG_TEST_EXTERN: 7,
        CONFIG_TEST_MUENCHEN: 8,
        CONFIG_LIVE_STADTMOBIL: 9,

        buildParameters: function (config) {
            var parameters = {
                adminLogin: "",
                password: "",
                orgNr: "",
                baseUrl: ""
            };

            switch(config){
                case this.CONFIG_TEST:
                    parameters.adminLogin = "_app_adm_stadtmobil";
                    parameters.password = "Kh3&.y42PX";
                    parameters.orgNr = "14";
                    parameters.baseUrl = "https://eif-test-intern.cantamen.de/eif_1";
                    break;
                case this.CONFIG_LIVE:
                    parameters.adminLogin = "_app_adm";
                    parameters.password = "EJuX38,4Dz";
                    parameters.orgNr = "14";
                    parameters.baseUrl = "https://de1.cantamen.de/eif_1";
                    break;
                case this.CONFIG_ZEUS:
                    parameters.adminLogin = "_a_a";
                    parameters.password = "Ebus23.4";
                    parameters.orgNr = "2";
                    parameters.baseUrl = "http://10.20.4.145:9000/eif_1";
                    break;
                case this.CONFIG_GVH:
                    parameters.adminLogin = "_app_adm_gvh";
                    parameters.password = "a.RQ95,t34";
                    parameters.orgNr = "14";
                    parameters.baseUrl = "https://de1.cantamen.de/eif_1";
                    break;
                case this.CONFIG_LIVE_AUGSBURG:
                    parameters.adminLogin = "_app_adm_swa";
                    parameters.password = "EKuX65.4Dz";
                    parameters.orgNr = "87";
                    parameters.baseUrl = "https://de1.cantamen.de/eif_1";
                    break;
                case this.CONFIG_LIVE_MUENCHEN:
                    parameters.adminLogin = "_app_adm_sam";
                    parameters.password = "KLsX68,4Dz";
                    parameters.orgNr = "90";
                    parameters.baseUrl = "https://de1.cantamen.de/eif_1";
                    break;
                case this.CONFIG_LIVE_CDE:
                    parameters.adminLogin = "_app_adm_cd";
                    parameters.password = "b.DF68,8t7";
                    parameters.orgNr = "14";
                    parameters.baseUrl = "https://de1.cantamen.de/eif_1";
                    break;
                case this.CONFIG_TEST_EXTERN:
                    parameters.adminLogin = "_app_adm";
                    parameters.password = "EJuX38,4Dz";
                    parameters.orgNr = "14";
                    parameters.baseUrl = "https://eif-test-extern.cantamen.de/eif_1";
                    break;
               case this.CONFIG_TEST_MUENCHEN:
                    parameters.adminLogin = "_app_adm_sam_test";
                    parameters.password = "DKuX72,4Dz";
                    parameters.orgNr = "14";
                    parameters.baseUrl = "https://eif-test-extern.cantamen.de/eif_1";
                    break;
               case this.CONFIG_LIVE_STADTMOBIL:
                    parameters.adminLogin = "_app_adm_stadtmobil";
                    parameters.password = "Kh3&.y42PX";
                    parameters.orgNr = "14";
                    parameters.baseUrl = "https://de1.cantamen.de/eif_1";
                    break;           
            }
            return parameters;
        }

    }
});
