var requireConfig = {
    shim: {
        bootstrap: {
            deps: ['jquery']
        },
        nicescroll: {
            deps: ['jquery']
        },
        bootstrapdtp: {
            deps: ['moment','bootstrap','clockpicker']
        },
        bootstrapalert: {
            deps: ['bootstrap']
        },
        bootstrapmodal: {
            deps: ['bootstrap']
        },
        bootstrapmodalmanager: {
            deps: ['bootstrap']
        },
        backbone: {
            deps: ['underscore', 'jquery'],
            exports: 'Backbone'
        },
        handlebars: {
            exports: 'Handlebars'
        },
        pcorelib: {
            deps: ['jquery','bootstrap','handlebars']
        },
        'i18next': ['jquery']
    },
    waitSeconds: 0,
    paths: {
        
        backbone: '../bower_components/backbone/backbone',
        bootstrap: '../bower_components/bootstrap-sass-official/assets/javascripts/bootstrap',
        bootstrapalert: '../bower_components/bootstrap-alert/alert',
        clockpicker: '../bower_components/bootstrap-clockpicker/bootstrap-clockpicker',
        bootstrapdtp: '../bower_components/bootstrap-dtp/bootstrap-datetimepicker.min',
        bootstrapmodal: '../bower_components/bootstrap-modal/js/bootstrap-modal',
        bootstrapmodalmanager: '../bower_components/bootstrap-modal/js/bootstrap-modalmanager',
        
        handlebars: '../bower_components/handlebars/handlebars',
        i18next: "../bower_components/i18next/i18next.amd.withJQuery",
        jquery: '../bower_components/jquery/dist/jquery',
        underscore: '../bower_components/lodash/dist/lodash',
        markercluster: '../bower_components/markercluster/markerclusterer',
        moment: '../bower_components/moment/moment',
        pcorelib: '../bower_components/pcorelib/pcorelib.min',
        nicescroll: '../bower_components/nicescroll/jquery.nicescroll.min',
        
		helper: '../scripts/application/Helper',
        bookingService: '../scripts/services/BookingService',
		renderService: '../scripts/services/RenderService',
        serverConfigBuilder: '../scripts/configuration/ServerConfigBuilder'
        
        
        
       
        
        
        
        
    }
};
