define([
    'jquery',
    'underscore',
    'backbone',
    'templates',
    'pcorelib'
], function ($, _, Backbone, JST, pcorelib) {
    'use strict';
    return pcorelib.BaseView.extend({

        hbsTemplate: 'InfoView',
        alternateTemplatePath: './scripts/templates/components/',

        build: function() {
            // detects and stores current version number
            // this.model.versionNumber = AppVersion.version;
            this.model.versionNumber = "1.0.49";
            this.model.userName = app.data.userParameters.user;
            this.model.subUserName = app.userData.member.subnrinorg != -1 ? app.userData.member.subnrinorg: null;
            // stores the view that called the infoView
            this.model.previousView = app.previousView;

            this.trigger('view:initialized');
        }    
    });
});