/**
 * Created by rathmann on 01/12/15.
 */

define([
    'jquery',
    'underscore',
    'backbone',
    'templates',
    'pcorelib'
], function ($, _, Backbone, JST, pcorelib) {
    'use strict';
    return pcorelib.BaseView.extend({

        hbsTemplate: 'ImprintView',
        alternateTemplatePath: './scripts/templates/service/',
        addClasses: 'app_content_nopadding',
        addClassesSelector: '#appContent',

        /*events:{
            'load #serviceFrame' : 'iframeLoaded'
        },*/

        iframeLoaded: function(serviceFrame) {
            var self = this;
            if(serviceFrame) {
                serviceFrame.height = "";
                serviceFrame.height = serviceFrame.contentWindow.document.body.scrollHeight + "px";
            }
        },

        build: function() {
            console.log(JSON.stringify(app.orgData.orgData,2,null));
            this.model.imprintURL = app.orgData.orgData.imprintUrl != "" ? app.orgData.orgData.imprintUrl : "http://www.projektionisten.de";
            this.trigger('view:initialized');
        },

        render: function() {
            var self = this;
            var zoom = 0.33; // Math.min(width/maxWidth, height/maxHeight);
            self.model.zoom = "zoom: "+zoom+"; -moz-transform: scale("+zoom+"); -moz-transform-origin: 0 0; -o-transform: scale("+zoom+"); -o-transform-origin: 0 0; -webkit-transform: scale("+zoom+"); -webkit-transform-origin: 0 0;";
            pcorelib.BaseView.prototype.render.call(this);
            //var serviceFrame = self.$el.find('#serviceFrame');
            $('#infoClick').parent()[0].removeChild($('#infoClick')[0]);
            //serviceFrame.on('load', function() { self.iframeLoaded(serviceFrame[0]) });
            return this;
        }
    });
});